<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=IM+Fell+English+SC&display=swap" rel="stylesheet">
    <title>Library</title>

    <style>
        body {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-size: 80%;
        }

        .hero {
            height: 27vw;
            box-shadow: 0 .5rem .5rem rgb(46, 46, 46);
            background-image: url("https://collegeinfogeek.com/wp-content/uploads/2018/11/Essential-Books.jpg");
            background-size: cover;
        }

        .hero__box {
            background-color: rgba(202, 172, 172, 0.322);
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        .hero__box__title{
            color: #fff;
            font-family: 'IM Fell English SC', serif;
            font-size: 8rem;
            text-shadow: 0 1rem .5rem #000;
        }

        .books {
            margin: 2rem auto 0 auto;
            width: 60%;
        }

        .books__list {
            width: 100%;
        }

        .card--margin {
            margin-top: 2rem;
        }

        .card--margin:last-of-type {
            margin: 2rem 0 5rem 0;
        }

        .card-body--box {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
        }

        .menu {
            display: flex;
        }

        .menu a{
            margin: 0 5rem 05rem;
            width: 10rem;
        }

    </style>
</head>
<body>

        <div class="hero">
            <div class="hero__box">
                <h1 class="hero__box__title">Vobacom Library</h1>
                <div class="menu">
                    <a href="/" class="btn btn-dark">Rent</a>
                    <a href="/library" class="btn btn-dark">Library</a>
                    <a href="/library/my-books" class="btn btn-dark">My books</a>
                </div>
            </div>
        </div>
    
        <div class="books">
    
            <h1 class="display-4">Books</h1>
            <hr>
            <div class="books__list">
                {#for book in allBooks}
                <div class="card card--margin">
                    <div class="card-header">
                        <h5 class="card-title">{book.title}</h5>
                    </div>
                    <div class="card-body card-body--box">
                        <div>
                            <h6 class="card-title"><b>Author: </b>{book.author}</h6>
                            <p class="card-text"><b>ISBN: </b>{book.isbn}</p>
                        </div>
                        <div>
                            <p class="card-text"><b>Pages: </b>{book.pages}</p>
                            <p class="card-text"><b>Published: </b>{book.publishedDate}</p>
                        </div>
                        <div>
                            <a href="/rent?id={book.id}" class="btn btn-primary">Rent</a>
                        </div>
                    </div>
                </div>
                {/for}

            </div>
    </div>
   

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
</body>
</html>
